import xml.etree.ElementTree as ET

INPUT = "haha.svg"

doc = ET.parse(INPUT)
root = doc.getroot()

ns={'xmlns': 'http://www.w3.org/2000/svg'}
for group in root.findall('xmlns:g/xmlns:g', namespaces=ns):
    ident = group.get("id")
    name = group.find('.//xmlns:tspan', namespaces=ns).text
    grr = unicode(name).encode('utf-8').strip()
    print "inkscape --export-pdf=" + grr +".pdf -D -j -i ", ident, ' ', INPUT
    print "inkscape --export-png=" + grr +".png -D -j -i ", ident, ' -d 200', INPUT
