package net.afyre.haha.demo.solver.expr.formulae;

import net.afyre.haha.demo.solver.expr.Expression;

/**
 * Interface of formulae.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface Formula extends Expression { 
  /**
   * Use a visitor to inspect this object.
   * @param <Result> Type of objects returned by the visitor.
   * @param v Visitor object.
   * @return Visit result.
   */
  <Result> Result accept(FormulaSwitch<? extends Result> v);
}
