package net.afyre.haha.demo.util;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;


/**
 * Plugin activator.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public class Activator implements BundleActivator {
  // ...
  private static BundleContext context;

  /**
   * Get plugin context.
   * @return Context.
   */
  public static BundleContext getContext() {
    return context;
  }


  /** {@inheritDoc} */
  public void start(final BundleContext bundleContext) throws Exception {
    Activator.context = bundleContext;
  }

  /** {@inheritDoc} */
  @Override
  public void stop(final BundleContext bundleContext) throws Exception {
    Activator.context = null;
  }

}
