package net.afyre.haha.demo.vcgen.tree;

import net.afyre.haha.demo.vcgen.VCContext;

/**
 * A node containing context information.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 *
 */
public interface ContextNode extends Node {
  /**
   * Get the context information stored in this node.
   * @return Context information.
   */
  VCContext getContext();
}
