package net.afyre.haha.demo.solver.expr.types;

/**
 * Interface of value types.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface ValueType extends Type { 
  /**
   * Use a visitor to inspect this object.
   * @param <Result> Type of objects returned by the visitor.
   * @param v Visitor object.
   * @return Visit result.
   */
  <Result> Result accept(ValueTypeSwitch<? extends Result> v);  
}
