package net.afyre.haha.demo.solver.expr.types.impl;

import net.afyre.haha.demo.solver.expr.types.AtomicTypeSwitch;

/**
 * Integer type.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public final class Int extends AbstractAtomicType {
  /** {@inheritDoc} */
  @Override
  public<Result> Result accept(final AtomicTypeSwitch<? extends Result> v) {
    return v.caseInt();
  }
}
