package net.afyre.haha.demo;

import java.math.BigInteger;

import org.eclipse.xtext.common.services.DefaultTerminalConverters;
import org.eclipse.xtext.conversion.IValueConverter;
import org.eclipse.xtext.conversion.ValueConverter;
import org.eclipse.xtext.conversion.ValueConverterException;
import org.eclipse.xtext.nodemodel.INode;

import com.google.inject.Singleton;

@Singleton
public class HahaValueConverterService extends DefaultTerminalConverters {
  @ValueConverter(rule = "BIGINT")
  public IValueConverter<BigInteger> getBIGINT() {
    return new IValueConverter<BigInteger>() {

      public String toString(final BigInteger value) throws ValueConverterException {
        return value.toString();
      }

      public BigInteger toValue(final String string, final INode node)
          throws ValueConverterException {
        return new BigInteger(string);
      }

    };
  }
}
